'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.getInstance = exports.createInstance = undefined;

var _assert = require('assert');

var _assert2 = _interopRequireDefault(_assert);

var _mocha = require('mocha');

var _mocha2 = _interopRequireDefault(_mocha);

var _runnerWrapped = require('./utils/runner-wrapped');

var _runnerWrapped2 = _interopRequireDefault(_runnerWrapped);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

let runnerInstance;

const createInstance = exports.createInstance = () => {
    (0, _assert2.default)(!runnerInstance, 'Runner instance has already been created. Use getInstance() instead');

    const mocha = new _mocha2.default();
    runnerInstance = new _runnerWrapped2.default(mocha.suite, 0);

    return runnerInstance;
};

const getInstance = exports.getInstance = () => {
    (0, _assert2.default)(runnerInstance, 'No runner instance is available. Run createInstance() first');
    return runnerInstance;
};