'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.restore = exports.patch = undefined;

var _debug = require('debug');

var _debug2 = _interopRequireDefault(_debug);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const hooks = ['afterEach', 'after', 'beforeEach', 'before', 'describe', 'context', 'it', 'setup', 'specify', 'suiteSetup', 'suiteTeardown', 'suite', 'teardown', 'test', 'run', 'xcontext', 'xdescribe', 'xit', 'xspecify'];

const debugLog = (0, _debug2.default)('mocha-parallel-tests:hooks');
const noop = () => {};

const patch = exports.patch = () => {
    debugLog('Patch global hooks');

    for (let hook of hooks) {
        global[hook] = noop;
        global[hook].only = noop;
        global[hook].skip = noop;
    }
};

const restore = exports.restore = () => {
    debugLog('Restore global hooks');

    for (let hook of hooks) {
        delete global[hook];
    }
};