'use strict';

/**
 * Mocha is often passed files to require through its options
 * One should detect under the hood if it's an existing file or a module
 * This file helps with this problem
 */

Object.defineProperty(exports, "__esModule", {
    value: true
});

exports.default = function (requiredFile) {
    const fileExists = existsSync(requiredFile) || existsSync(`${requiredFile}.js`);
    return fileExists ? (0, _path.resolve)(requiredFile) : requiredFile;
};

var _path = require('path');

var _fs = require('fs');

const existsSync = path => {
    try {
        (0, _fs.statSync)(path);
        return true;
    } catch (ex) {
        return false;
    }
};

module.exports = exports['default'];