'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const assert = require("assert");
const Mocha = require("mocha");
const runner_wrapped_1 = require("./utils/runner-wrapped");
let runnerInstance;
exports.createInstance = () => {
    assert(!runnerInstance, 'Runner instance has already been created. Use getInstance() instead');
    const mocha = new Mocha;
    runnerInstance = new runner_wrapped_1.default(mocha.suite, 0);
    return runnerInstance;
};
exports.getInstance = () => {
    assert(runnerInstance, 'No runner instance is available. Run createInstance() first');
    return runnerInstance;
};
//# sourceMappingURL=runner.js.map