'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const debug = require("debug");
const hooks = [
    'afterEach',
    'after',
    'beforeEach',
    'before',
    'describe',
    'context',
    'it',
    'setup',
    'specify',
    'suiteSetup',
    'suiteTeardown',
    'suite',
    'teardown',
    'test',
    'run',
    'xcontext',
    'xdescribe',
    'xit',
    'xspecify'
];
const debugLog = debug('mocha-parallel-tests:hooks');
const noop = () => { };
exports.patch = () => {
    debugLog('Patch global hooks');
    for (let hook of hooks) {
        global[hook] = noop;
        global[hook].only = noop;
        global[hook].skip = noop;
    }
};
exports.restore = () => {
    debugLog('Restore global hooks');
    for (let hook of hooks) {
        delete global[hook];
    }
};
//# sourceMappingURL=hooks.js.map